Bug 829039

Summary: Gnome Shell Crashes With SegFault in libgnome-shell.so
Product: [Fedora] Fedora Reporter: pscottdv <scott>
Component: libgnomeAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 17CC: rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 06:11:43 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description pscottdv 2012-06-05 16:11:23 EDT
Description of problem:
Segfault when launching gnome shell

Version-Release number of selected component (if applicable):
2.32.1-3

How reproducible:
Happens at every login


Steps to Reproduce:
1.  Log into gnome 3 shell
2.  System reports a problem with a button to log out
3.  /var/log/messages reports kernel: [  344.732426] gnome-shell[3148]: segfault at 11 ip 00000011 sp bf8f782c error 4 in libgnome-shell.so[1c0000+9a0000]
  
Actual results:
kernel: [  344.732426] gnome-shell[3148]: segfault at 11 ip 00000011 sp bf8f782c error 4 in libgnome-shell.so[1c0000+9a0000]

Expected results:
Login

Additional info:
First crash occurred while pairing with a bluetooth headset--the same one that ceased working in bug 827639.  Following that crash, I can not get into the gnome shell.
Comment 1 pscottdv 2012-06-06 09:33:10 EDT
I generated a dump of /var/log/messages while attempting to log in

Jun  5 17:04:16 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
Jun  5 17:04:17 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Presence interface=org.freedesktop.DBus.Properties method=GetAll
Jun  5 17:04:17 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Presence interface=org.freedesktop.DBus.Properties method=GetAll
Jun  5 17:04:19 stylistics dbus-daemon[897]: ** Message: user 'pscottdv' claiming the device: 0
Jun  5 17:04:19 stylistics dbus-daemon[897]: ** Message: now monitoring fd 11
Jun  5 17:04:19 stylistics dbus-daemon[897]: ** Message: device 0 claim status 0
Jun  5 17:04:19 stylistics dbus-daemon[897]: ** Message: no longer monitoring fd 11
Jun  5 17:04:19 stylistics dbus-daemon[897]: ** Message: released device 0
Jun  5 17:04:19 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
Jun  5 17:04:19 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
Jun  5 17:04:38 stylistics accounts-daemon[1162]: (accounts-daemon:1162): GLib-GObject-WARNING **: g_object_notify: object class `User' has no property named `x-session'
Jun  5 17:04:38 stylistics systemd-logind[847]: New session 9 of user pscottdv.
Jun  5 17:04:38 stylistics systemd-logind[847]: Linked /tmp/.X11-unix/X0 to /run/user/pscottdv/X11-display.
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GdmSignalHandler: handling signal 15
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GdmSignalHandler: Found 1 callbacks
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GdmSignalHandler: running 15 handler: 0x8063300
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): Got callback for signal 15
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Logout called
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmShell: Connected to the shell
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: requesting logout
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: ending phase RUNNING
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: starting phase QUERY_END_SESSION
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Client /org/gnome/SessionManager/Client1
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Client /org/gnome/SessionManager/Client2
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Client /org/gnome/SessionManager/Client3
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: sending query-end-session to clients (logout mode: forceful)
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: sending QueryEndSession signal to :1.8
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: adding client to query clients: /org/gnome/SessionManager/Client1
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: sending QueryEndSession signal to :1.2
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: adding client to query clients: /org/gnome/SessionManager/Client2
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: adding client to query clients: /org/gnome/SessionManager/Client3
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): Caught signal 15, shutting down normally.
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GdmSignalHandler: Done handling signals
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmXSMPClient: Client '0x87e0020 [gnome-shell 10d2edd2b8559e1c44133893385392765800000032500000]' received SaveYourselfDone(success = True)
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Response from end session request: is-ok=1 do-last=0 cancel=0 reason=
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Client1 interface=org.gnome.SessionManager.ClientPrivate method=EndSessionResponse
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: got EndSessionResponse is-ok:1 reason=
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Response from end session request: is-ok=1 do-last=0 cancel=0 reason=
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Client2 interface=org.gnome.SessionManager.ClientPrivate method=EndSessionResponse
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Client2 interface=org.gnome.SessionManager.ClientPrivate method=EndSessionResponse
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: got EndSessionResponse is-ok:1 reason=
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Response from end session request: is-ok=1 do-last=0 cancel=0 reason=
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: query end session complete
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmShell: Connected to the shell
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: ending phase QUERY_END_SESSION
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: starting phase END_SESSION
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: adding client to end-session clients: /org/gnome/SessionManager/Client1
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: adding client to end-session clients: /org/gnome/SessionManager/Client2
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: adding client to end-session clients: /org/gnome/SessionManager/Client3
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmXsmpServer: sms_error_handler (0x87efad0, FALSE, 3, 9, 32771, 0)
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmXSMPClient: Client '0x87e0020 [gnome-shell 10d2edd2b8559e1c44133893385392765800000032500000]' received SaveYourselfDone(success = True)
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Response from end session request: is-ok=1 do-last=0 cancel=0 reason=
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Client1 interface=org.gnome.SessionManager.ClientPrivate method=EndSessionResponse
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: got EndSessionResponse is-ok:1 reason=
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Response from end session request: is-ok=1 do-last=0 cancel=0 reason=
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Client2 interface=org.gnome.SessionManager.ClientPrivate method=EndSessionResponse
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Client2 interface=org.gnome.SessionManager.ClientPrivate method=EndSessionResponse
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: got EndSessionResponse is-ok:1 reason=
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Response from end session request: is-ok=1 do-last=0 cancel=0 reason=
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: ending phase END_SESSION
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): Using systemd for session tracking
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: starting phase EXIT
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: stopped client: /org/gnome/SessionManager/Client1
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: stopped client: /org/gnome/SessionManager/Client2
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmXSMPClient: xsmp_stop ('0x87e0020 [gnome-shell 10d2edd2b8559e1c44133893385392765800000032500000]')
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: stopped client: /org/gnome/SessionManager/Client3
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmXsmpServer: sms_error_handler (0x87efad0, FALSE, 3, c, 32771, 0)
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmXSMPClient: Client '0x87e0020 [gnome-shell 10d2edd2b8559e1c44133893385392765800000032500000]' received CloseConnection
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: disconnect client
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: disconnect client: /org/gnome/SessionManager/Client3
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: in shutdown, not restarting application
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: Unreffing object: 0x87e0020
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Client removed: /org/gnome/SessionManager/Client3
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmClient: disposing /org/gnome/SessionManager/Client3
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmXSMPClient: xsmp_finalize (0x87e0020 [gnome-shell 10d2edd2b8559e1c44133893385392765800000032500000])
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: disconnect client: /org/gnome/SessionManager/Client1
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: disconnect for app 'at-spi-registryd.desktop'
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: unable to find application for client - not restarting
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: Unreffing object: 0x87f1258
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmClient: disposing /org/gnome/SessionManager/Client1
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: emitting removed for /org/gnome/SessionManager/Client1
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Client removed: /org/gnome/SessionManager/Client1
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmDBusClient: obj_path=(null) interface=(null) method=(null)
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: disconnect client: /org/gnome/SessionManager/Client2
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: in shutdown, not restarting application
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: Unreffing object: 0x87f1298
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmClient: disposing /org/gnome/SessionManager/Client2
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: emitting removed for /org/gnome/SessionManager/Client2
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: Client removed: /org/gnome/SessionManager/Client2
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: last client disconnected - exiting
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: ending phase EXIT
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): Unreffing manager
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmManager: disposing manager
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: Clearing object store
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: Unreffing object: 0x8802c20
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: Unreffing object: 0x8802c98
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: emitting removed for /org/gnome/SessionManager/App2
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: emitting removed for /org/gnome/SessionManager/App1
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: Clearing object store
Jun  5 17:04:38 stylistics gnome-session[3250]: DEBUG(+): GsmStore: Clearing object store
Jun  5 17:04:38 stylistics systemd-logind[847]: Removed session 8.
Jun  5 17:04:38 stylistics gdm-simple-slave[3232]: WARNING: Child process 3250 was already dead.
Jun  5 17:04:39 stylistics rtkit-daemon[1496]: Successfully made thread 3450 of process 3450 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Jun  5 17:04:39 stylistics pulseaudio[3450]: [pulseaudio] pid.c: Stale PID file, overwriting.
Jun  5 17:04:39 stylistics rtkit-daemon[1496]: Successfully made thread 3460 of process 3450 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Jun  5 17:04:39 stylistics rtkit-daemon[1496]: Successfully made thread 3464 of process 3450 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Jun  5 17:04:39 stylistics bluetoothd[807]: bluetoothd[807]: Endpoint registered: sender=:1.254 path=/MediaEndpoint/HFPAG
Jun  5 17:04:39 stylistics bluetoothd[807]: bluetoothd[807]: Endpoint registered: sender=:1.254 path=/MediaEndpoint/A2DPSource
Jun  5 17:04:39 stylistics bluetoothd[807]: Endpoint registered: sender=:1.254 path=/MediaEndpoint/HFPAG
Jun  5 17:04:39 stylistics bluetoothd[807]: Endpoint registered: sender=:1.254 path=/MediaEndpoint/A2DPSource
Jun  5 17:04:43 stylistics goa[3644]: goa-daemon version 3.4.2 starting [main.c:112, main()]
Jun  5 17:04:44 stylistics dbus-daemon[897]: dbus[897]: [system] Activating service name='org.blueman.Mechanism' (using servicehelper)
Jun  5 17:04:44 stylistics dbus[897]: [system] Activating service name='org.blueman.Mechanism' (using servicehelper)
Jun  5 17:04:45 stylistics dbus-daemon[897]: ** (process:3665): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'
Jun  5 17:04:45 stylistics dbus-daemon[897]: ** (process:3665): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'
Jun  5 17:04:45 stylistics dbus-daemon[897]: ** (process:3665): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
Jun  5 17:04:45 stylistics blueman-mechanism: Starting blueman-mechanism
Jun  5 17:04:45 stylistics dbus-daemon[897]: dbus[897]: [system] Successfully activated service 'org.blueman.Mechanism'
Jun  5 17:04:45 stylistics goa[3644]: Error showing notification: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.freedesktop.Notifications' on object at path /org/freedesktop/Notifications (g-dbus-error-quark, 19) [goadaemon.c:887, goa_daemon_update_notifications()]
Jun  5 17:04:45 stylistics dbus[897]: [system] Successfully activated service 'org.blueman.Mechanism'
Jun  5 17:04:45 stylistics goa[3644]: /org/gnome/OnlineAccounts/Accounts/account_1331084630: Setting AttentionNeeded to TRUE because EnsureCredentials() failed with: Credentials not found in keyring (goa-error-quark, 0): Failed to retrieve credentials from the keyring: No matching results (goa-error-quark, 4) [goadaemon.c:1129, ensure_credentials_cb()]
Jun  5 17:04:45 stylistics blueman-mechanism: loading RfKill
Jun  5 17:04:45 stylistics blueman-mechanism: loading Network
Jun  5 17:04:45 stylistics blueman-mechanism: loading Config
Jun  5 17:04:45 stylistics blueman-mechanism: loading Ppp
Jun  5 17:04:45 stylistics bluetoothd[807]: bluetoothd[807]: Endpoint unregistered: sender=:1.254 path=/MediaEndpoint/HFPAG
Jun  5 17:04:45 stylistics bluetoothd[807]: bluetoothd[807]: Endpoint unregistered: sender=:1.254 path=/MediaEndpoint/A2DPSource
Jun  5 17:04:45 stylistics bluetoothd[807]: Endpoint unregistered: sender=:1.254 path=/MediaEndpoint/HFPAG
Jun  5 17:04:45 stylistics bluetoothd[807]: Endpoint unregistered: sender=:1.254 path=/MediaEndpoint/A2DPSource
Jun  5 17:04:46 stylistics kernel: [ 1333.339447] gnome-shell[3513]: segfault at 29 ip 00000029 sp bffb58bc error 4 in libgvfscommon.so.0.0.0[12e000+16000]
Jun  5 17:04:46 stylistics gnome-session[3319]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
Jun  5 17:04:48 stylistics kernel: [ 1335.750859] gnome-shell[3677]: segfault at 861b9 ip 0861a7c0 sp bf8f33fc error 4
Jun  5 17:04:48 stylistics gnome-session[3319]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
Jun  5 17:04:48 stylistics gnome-session[3319]: WARNING: App 'gnome-shell.desktop' respawning too quickly
Jun  5 17:04:50 stylistics dbus-daemon[897]: ** Message: No devices in use, exit
Comment 2 pscottdv 2012-07-23 11:52:10 EDT
If I create a new user, that user is able to use the gnome shell.  So I suspect the problem stems from a config file.  Am investigating further.
Comment 3 pscottdv 2012-07-23 13:30:54 EDT
The problem is in the file: .config/dconf/user.  Here is a dump of the problem file:


[apps/brasero/config]
tmpdir='/home/pscottdv/tmp'

[apps/brasero/drives/drive-891228588/disc-4]
flags=64
speed=11080

[apps/brasero/drives/drive-891228588/image-2]
flags=128
speed=4224

[apps/brasero/drives/drive-891228588/image-4]
flags=64
speed=11080

[apps/brasero/plugins/audio2cue]
priority=0

[apps/brasero/plugins/burn-uri]
priority=0

[apps/brasero/plugins/cdda2wav]
priority=0

[apps/brasero/plugins/cdrdao]
priority=0

[apps/brasero/plugins/cdrecord]
priority=0

[apps/brasero/plugins/dvd-rw-format]
priority=0

[apps/brasero/plugins/dvdauthor]
priority=0

[apps/brasero/plugins/dvdcss]
priority=0

[apps/brasero/plugins/file-checksum]
priority=0

[apps/brasero/plugins/file-downloader]
priority=0

[apps/brasero/plugins/genisoimage]
priority=0

[apps/brasero/plugins/growisofs]
priority=0

[apps/brasero/plugins/image-checksum]
priority=0

[apps/brasero/plugins/libburn]
priority=0

[apps/brasero/plugins/libisofs]
priority=0

[apps/brasero/plugins/mkisofs]
priority=0

[apps/brasero/plugins/normalize]
priority=0

[apps/brasero/plugins/readcd]
priority=0

[apps/brasero/plugins/readom]
priority=0

[apps/brasero/plugins/transcode]
priority=0

[apps/brasero/plugins/transcode2vob]
priority=0

[apps/brasero/plugins/vcdimager]
priority=0

[apps/brasero/plugins/wodim]
priority=0

[apps/cheese]
wide-mode=false

[apps/seahorse]
last-search-servers=@as []
last-search-text='link2voip'
server-auto-publish=true
server-auto-retrieve=true
server-publish-to='hkp://pgp.mit.edu:11371'

[apps/seahorse/listing]
show-validity=true
sidebar-width=148

[apps/seahorse/windows/key-manager]
height=476
width=640

[desktop/gnome/remote-access]
authentication-methods=['vnc']
enabled=true
prompt-enabled=false
use-upnp=false
vnc-password='ZHJiZWFnbDM='

[desktop/ibus/general]
engines-order=['xkb:us::eng']
preload-engine-mode=1
preload-engines=['xkb:us::eng']
preload-engines-inited=true

[desktop/ibus/panel]
custom-font='Sans 10'

[org/gnome/Totem]
active-plugins=['skipto', 'chapters', 'grilo', 'movie-properties', 'screensaver', 'screenshot', 'media_player_keys', 'save-file']
audio-output-type='stereo'
auto-resize=true
brightness=33161
contrast=32767
debug=false
hue=32767
lock-screensaver-on-audio=true
open-uri='cdda://sr0'
saturation=32768
show-visualizations=true
subtitle-encoding='UTF-8'
visualization-name='GOOM: what a GOOM!'
visualization-quality='small'

[org/gnome/baobab/ui]
active-chart='rings'

[org/gnome/brasero/display]
iso-folder='/home/pscottdv/isos'

[org/gnome/deja-dup]
backend='s3'
prompt-check='disabled'

[org/gnome/deja-dup/rackspace]
container='www.bintouch.org'

[org/gnome/deja-dup/s3]
folder='www.bintouch.org'

[org/gnome/deja-dup/u1]
folder='/deja-dup/www.bintouch.org'

[org/gnome/desktop/a11y/applications]
screen-keyboard-enabled=true

[org/gnome/desktop/a11y/keyboard]
bouncekeys-beep-reject=true
bouncekeys-delay=300
bouncekeys-enable=false
disable-timeout=120
enable=false
feature-state-change-beep=true
mousekeys-accel-time=1200
mousekeys-enable=false
mousekeys-init-delay=160
mousekeys-max-speed=750
slowkeys-beep-accept=true
slowkeys-beep-press=true
slowkeys-beep-reject=false
slowkeys-delay=300
slowkeys-enable=false
stickykeys-enable=false
stickykeys-modifier-beep=true
stickykeys-two-key-off=true
timeout-enable=true
togglekeys-enable=false

[org/gnome/desktop/background]
color-shading-type='solid'
picture-options='zoom'
picture-uri='file:///home/pscottdv/Pictures/Perry.png'
primary-color='#021002100210'
secondary-color='#000000'

[org/gnome/desktop/interface]
clock-format='12h'
cursor-size=18
gtk-im-module='ibus:xim'
icon-theme='gnome'
toolkit-accessibility=true

[org/gnome/desktop/lockdown]
disable-application-handlers=false
disable-command-line=false
disable-print-setup=false
disable-printing=false
disable-save-to-disk=false

[org/gnome/desktop/media-handling]
autorun-x-content-ignore=['x-content/image-dcf']
autorun-x-content-open-folder=@as []
autorun-x-content-start-app=['x-content/software', 'x-content/video-dvd']

[org/gnome/desktop/screensaver]
lock-enabled=false

[org/gnome/desktop/session]
idle-delay=uint32 1800

[org/gnome/desktop/sound]
event-sounds=true
input-feedback-sounds=false
theme-name='__custom'

[org/gnome/eog/ui]
image-gallery=false
sidebar=false
statusbar=true
toolbar=true

[org/gnome/eog/view]
background-color='#000000'
use-background-color=true

[org/gnome/epiphany]
enable-caret-browsing=false
enabled-extensions=['certificates', 'extensions-manager-ui']
homepage-url='http://www.google.com'

[org/gnome/epiphany/lockdown]
disable-command-line=false
disable-print-setup=false
disable-printing=false
disable-save-to-disk=false

[org/gnome/epiphany/state]
download-dir='/'
save-dir='~/Documents/4ahomes/operations/offer'
upload-dir='~/Pictures/heather_cam_090601'

[org/gnome/epiphany/web]
cache-size=0
enable-javascript=true

[org/gnome/evince/default]
continuous=true
dual-page=false
fullscreen=false
inverted-colors=false
show-sidebar=true
show-toolbar=true
sidebar-page='thumbnails'
sidebar-size=379
sizing-mode='fit-width'
window-ratio=(1.9003267973856208, 1.2121212121212122)

[org/gnome/evolution/addressbook]
address-formatting=false
completion-show-address=false
primary-addressbook=''

[org/gnome/evolution/calendar]
ba-reminder-interval=15
ba-reminder-units='minutes'
compress-weekend=true
confirm-delete=true
confirm-purge=true
day-end-hour=17
day-end-minute=0
day-start-hour=9
day-start-minute=0
default-reminder-interval=15
default-reminder-units='minutes'
hide-completed-tasks=false
hide-completed-tasks-units='days'
hide-completed-tasks-value=1
hpane-position=324
last-notification-time=1342957500
marcus-bains-color-dayview='#ff0000'
marcus-bains-color-timebar='#ff0000'
marcus-bains-line=true
month-scroll-by-week=true
prefer-new-item='event-new'
primary-calendar='1340315530.3443.0@www.bintouch.org'
primary-memos=''
primary-tasks=''
publish-template=''
recur-events-italic=false
selected-calendars=['1340315530.3443.0@www.bintouch.org']
show-event-end=true
show-week-numbers=false
tag-vpane-position=0.0085763293310463125
task-due-today-color='#1e90ff'
task-due-today-highlight=true
task-overdue-color='#ff0000'
task-overdue-highlight=true
time-divisions=30
timezone='UTC'
use-24hour-format=false
use-ba-reminder=false
use-default-reminder=false
use-system-timezone=true
week-start-day=1
working-days=62

[org/gnome/evolution]
last-upgraded-version='3.4.0'
version='3.4.0'

[org/gnome/evolution/mail]
address-compress=true
address-count=5
charset=''
citation-color='#737373'
composer-charset=''
composer-gallery-path=''
composer-group-reply-to-list=false
composer-ignore-list-reply-to=false
composer-inline-spelling=true
composer-localized-re=''
composer-magic-links=true
composer-magic-smileys=false
composer-no-signature-delim=false
composer-outlook-filenames=false
composer-reply-start-bottom=false
composer-request-receipt=false
composer-send-html=false
composer-sign-reply-if-signed=false
composer-spell-color='#FFFF00000000'
composer-spell-languages=['en_US']
composer-top-signature=true
enable-local=true
enable-vfolders=true
force-message-limit=true
forward-style=2
global-view-setting=false
junk-check-custom-header=true
junk-check-incoming=true
junk-default-plugin=''
junk-empty-on-exit=false
junk-empty-on-exit-days=0
junk-lookup-addressbook=false
load-http-images=0
magic-spacebar=true
mark-citations=true
mark-seen=true
mark-seen-timeout=1500
message-text-part-limit=4096
monospace-font='Monospace 12'
no-folder-dots=false
paned-size=296
paned-view-headers-state=0
photo-local=true
prompt-check-if-default-mailer=true
prompt-on-delete-in-vfolder=false
prompt-on-empty-subject=true
prompt-on-expunge=true
prompt-on-invalid-recip=true
prompt-on-list-reply-to=true
prompt-on-only-bcc=true
prompt-on-private-list-reply=true
prompt-on-reply-many-recips=true
prompt-on-unwanted-html=true
reply-style=0
safe-list=false
send-recv-all-on-start=false
send-recv-on-start=true
show-animated-images=false
show-real-date=true
show-sender-photo=false
side-bar-search=true
sort-accounts-alpha=true
thread-subject=false
trash-empty-on-exit=false
trash-empty-on-exit-days=0
use-custom-font=false
variable-width-font='Sans 12'

[org/gnome/evolution/mail/composer-window]
height=712
maximized=false
width=960

[org/gnome/evolution/mail/send-recv-window]
height=200
maximized=false
width=600

[org/gnome/evolution/shell]
attachment-view=0
buttons-visible=true
default-component-id='mail'
folder-bar-width=216
sidebar-visible=true
start-offline=false
statusbar-visible=true
toolbar-visible=true

[org/gnome/evolution/shell/window]
height=955
maximized=true
width=1221
x=0
y=5

[org/gnome/evolution/spamassassin]
local-only=true
socket-path=''
spamc-binary='/usr/bin/spamc'
spamd-binary='/usr/bin/spamd'
use-daemon=true

[org/gnome/file-roller/dialogs/batch-add]
volume-size=0

[org/gnome/file-roller/dialogs/extract]
overwrite=true
recreate-folders=true
skip-newer=false

[org/gnome/file-roller/general]
editors=['/usr/bin/gedit']

[org/gnome/file-roller/listing]
list-mode='as-folder'
name-column-width=312
show-path=false
sort-method='name'
sort-type='ascending'

[org/gnome/file-roller/ui]
sidebar-width=200
window-height=866
window-width=1144

[org/gnome/gedit/plugins]
active-plugins=['filebrowser', 'spell', 'modelines', 'time', 'docinfo']

[org/gnome/gedit/plugins/filebrowser]
root='file:///'
tree-view=true
virtual-root='file:///home/pscottdv/tmp'

[org/gnome/gedit/preferences/print]
print-font-body-pango='Monospace 9'
print-font-header-pango='Sans 11'
print-font-numbers-pango='Sans 8'
print-header=true
print-line-numbers=uint32 0
print-syntax-highlighting=true
print-wrap-mode='word'

[org/gnome/gedit/preferences/ui]
notebook-show-tabs-mode='always'
statusbar-visible=true

[org/gnome/gedit/state/window]
bottom-panel-size=140
side-panel-active-page=228660812
side-panel-size=200
size=(907, 712)
state=128

[org/gnome/gnome-panel/layout]
object-id-list=['menu-bar', 'clock', 'user-menu', 'window-list', 'workspace-switcher']
toplevel-id-list=['top-panel', 'bottom-panel']

[org/gnome/gnome-panel/layout/objects/clock]
object-iid='ClockAppletFactory::ClockApplet'
pack-index=0
pack-type='center'
toplevel-id='top-panel'

[org/gnome/gnome-panel/layout/objects/menu-bar]
object-iid='PanelInternalFactory::MenuBar'
pack-index=0
toplevel-id='top-panel'

[org/gnome/gnome-panel/layout/objects/user-menu]
object-iid='PanelInternalFactory::UserMenu'
pack-index=0
pack-type='end'
toplevel-id='top-panel'

[org/gnome/gnome-panel/layout/objects/window-list]
object-iid='WnckletFactory::WindowListApplet'
pack-index=0
toplevel-id='bottom-panel'

[org/gnome/gnome-panel/layout/objects/workspace-switcher]
object-iid='WnckletFactory::WorkspaceSwitcherApplet'
pack-index=0
pack-type='end'
toplevel-id='bottom-panel'

[org/gnome/gnome-panel/layout/toplevels/bottom-panel]
animation-speed='fast'
auto-hide=false
auto-hide-size=1
enable-arrows=true
enable-buttons=false
expand=true
hide-delay=300
monitor=0
orientation='bottom'
screen=0
size=24
unhide-delay=100
x=0
x-centered=false
x-right=-1
y=1050
y-bottom=0
y-centered=false

[org/gnome/gnome-panel/layout/toplevels/top-panel]
animation-speed='fast'
auto-hide=false
auto-hide-size=1
enable-arrows=true
enable-buttons=false
expand=true
hide-delay=300
monitor=0
orientation='top'
screen=0
size=24
unhide-delay=100
x=0
x-centered=false
x-right=-1
y=0
y-bottom=-1
y-centered=false

[org/gnome/gnome-screenshot]
border-effect='none'
delay=0
include-border=false
include-icc-profile=true
include-pointer=false
last-save-directory='file:///home/pscottdv/tmp'

[org/gnome/gnome-session]
show-fallback-warning=false

[org/gnome/gnome-system-monitor]
current-tab=1
height=537
view-as=0
width=951

[org/gnome/gnome-system-monitor/disktreenew]
columns-order=[0, 1, 2, 3, 4, 5, 6]
sort-col=1
sort-order=0

[org/gnome/gnome-system-monitor/proctree]
col-0-visible=true
col-0-width=198
col-1-visible=false
col-1-width=0
col-10-visible=false
col-10-width=0
col-11-visible=true
col-11-width=62
col-12-visible=true
col-12-width=53
col-13-visible=false
col-13-width=0
col-14-visible=true
col-14-width=285
col-15-visible=true
col-15-width=86
col-16-visible=true
col-16-width=172
col-2-visible=true
col-2-width=76
col-3-visible=false
col-3-width=0
col-4-visible=false
col-4-width=0
col-5-visible=false
col-5-width=0
col-6-visible=false
col-6-width=0
col-7-visible=false
col-7-width=0
col-8-visible=true
col-8-width=76
col-9-visible=false
col-9-width=0
columns-order=[0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16]
sort-col=8
sort-order=1

[org/gnome/libgnomekbd/keyboard]
layouts=['us']

[org/gnome/nautilus/list-view]
default-column-order=['name', 'size', 'type', 'date_modified', 'date_accessed', 'group', 'mime_type', 'octal_permissions', 'owner', 'permissions', 'selinux_context', 'where']
default-visible-columns=['name', 'size', 'type', 'date_modified']

[org/gnome/nautilus/preferences]
always-use-browser=true
always-use-location-entry=true

[org/gnome/nautilus/window-state]
geometry='857x691+155+26'
maximized=true
sidebar-width=265
start-with-sidebar=true

[org/gnome/power-manager]
enable-sound=true
info-history-type='charge'
info-last-device='wakeups'
info-page-number=3
info-stats-type='discharge-accuracy'
notify-fully-charged=false
notify-low-capacity=false

[org/gnome/settings-daemon/peripherals/keyboard]
numlock-state='off'

[org/gnome/settings-daemon/peripherals/mouse]
left-handed=false

[org/gnome/settings-daemon/peripherals/touchpad]
disable-while-typing=true
horiz-scroll-enabled=true
scroll-method='two-finger-scrolling'
tap-to-click=true

[org/gnome/settings-daemon/plugins/power]
button-power='shutdown'
idle-dim-battery=false
sleep-display-ac=1800
sleep-display-battery=1800
sleep-inactive-battery-timeout=1800

[org/gnome/settings-daemon/plugins/updates]
last-updates-notification=uint64 1340183333

[org/gnome/settings-daemon/plugins/xsettings]
antialiasing='rgba'
hinting='full'
rgba-order='rgb'

[org/gnome/shell]
command-history=['r']
enabled-extensions=@as []
favorite-apps=['gnome-terminal.desktop', 'Firefox.desktop', 'google-chrome.desktop', 'evolution.desktop', 'libreoffice-startcenter.desktop', 'fedora-xournal.desktop', 'evince.desktop', 'vlc.desktop', 'gnome-contacts.desktop', 'nautilus.desktop', 'gimp.desktop', 'fedora-gscan2pdf.desktop', 'alacarte-made-1.desktop', 'fedora-cellwriter.desktop', 'alacarte-made-2.desktop', 'gnome-system-monitor.desktop', 'vinagre.desktop']
saved-session-presence=0

[org/gnome/shell/overrides]
button-layout=':minimize,close'

[org/gnome/vinagre]
active-plugins=['rdp', 'vnc']

[org/gtk/settings/color-chooser]
selected-color=(true, 0.44705882352941179, 0.62352941176470589, 0.81176470588235294, 1.0)

[org/gtk/settings/file-chooser]
last-folder-uri='file:///tmp'
location-mode='filename-entry'
show-hidden=false
show-size-column=true
sort-column='name'
sort-order='ascending'
window-position=(166, 89)
window-size=(766, 615)
Comment 4 Byron Young 2012-10-17 17:18:03 EDT
Encountered a similar situation, with gnome-shell segfaulting when connecting via tigervnc (fc16). In the user home directory on server machine (same as vncserver@:1.service <USER> setting), changing permissions on .config/user-dirs to same as .config/user-dirs.locale and adding -deferUpdate 0 -geometry 1024x768 appears to have resolved the seg fault (for now anyway). Still attempting to determine why the Xvnc display is not 1024x768 even though -geometry 1024x768 was specified, and ps auxw | grep Xvnc shows -geometry 1024x768.

Oct 17 13:18:14 butler kernel: [  589.212814] gnome-shell[1564]: segfault at 126e30 ip b5bc66a8 sp bf9a4b60 error 4 in libglib-2.0.so.0.3200.4[b5b41000+126000]
Oct 17 13:18:14 butler abrt[1597]: Not saving repeating crash in '/usr/bin/gnome-shell'
Oct 17 13:18:14 butler gnome-session[1290]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
Oct 17 13:18:14 butler gnome-session[1290]: WARNING: App 'gnome-shell.desktop' respawning too quickly
Oct 17 13:18:14 butler gnome-session[1290]: WARNING: could not get pam service: No such file or directory
Comment 5 Fedora End Of Life 2013-07-03 23:06:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 06:11:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.